<?php
namespace Mirasvit\SeoAudit\Controller\Adminhtml\Job\Details;

/**
 * Interceptor class for @see \Mirasvit\SeoAudit\Controller\Adminhtml\Job\Details
 */
class Interceptor extends \Mirasvit\SeoAudit\Controller\Adminhtml\Job\Details implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoAudit\Model\ResourceModel\CheckResultAggregated\CollectionFactory $checkResultAggregatedCollectionFactory, \Mirasvit\SeoAudit\Service\CheckResultAggregatedService $checkResultAggregatedService, \Mirasvit\SeoAudit\Model\ConfigProvider $config, \Mirasvit\SeoAudit\Repository\JobRepository $jobRepository, \Magento\Framework\Registry $registry, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($checkResultAggregatedCollectionFactory, $checkResultAggregatedService, $config, $jobRepository, $registry, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
